Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.informixadapter.base
Class InformixMCConfiguration

    java.lang.Object
      com.stc.connector.framework.jca.system.MCConfiguration
          com.stc.connector.informixadapter.base.MCConfiguration
              com.stc.connector.informixadapter.base.InformixMCConfiguration

All Implemented Interfaces:
  java.io.Serializable

    public class InformixMCConfiguration

extends MCConfiguration

Managed Connection Configuration for Informix

Version:
  5.1
Author:
  Andy Schaefer
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.connector.informixadapter.base.MCConfiguration
`PROBABILITY_FOR_COMMIT_TOFAIL_PARAMNAME`

Fields inherited from class com.stc.connector.framework.jca.system.MCConfiguration
`cMessages, mAdditionalConfigurationMethods, mAdditionalConfigurationValues, mBaseConfiguration, mClassName, mConfiguration, mConfigurationMethods, mNonXAConfigurationMethods, mNonXAConfigurationValues, mProbabilityIndexForCommitToFail, mProjectInfo, mRetryConfigurationMethods, msgManager, mXAConfigurationMethods, mXAConfigurationValues`

Constructor Summary
`InformixMCConfiguration(java.lang.String aClassName)` Creates a new instance of MCConfiguration

Method Summary

Methods inherited from class com.stc.connector.informixadapter.base.MCConfiguration
`invokeAdditionConfigMethods, setConfiguration, setProbabilityIndexForCommitToFail`

Methods inherited from class com.stc.connector.framework.jca.system.MCConfiguration
`getConfiguration, getConfigurationModel, getProbabilityIndexForCommitToFail, getProjectInfo, init, init, invokeConfigMethods, setAdditionalConfigMethods, setNonXAConfigMethods, setProjectInfo, setXAConfigMethods`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InformixMCConfiguration

    public InformixMCConfiguration(java.lang.String aClassName)

  Creates a new instance of MCConfiguration

  Parameters:
    `className` - class name of the Managed Connection.

Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD